//------------------------------------------------------------------------------
// <auto-generated>
//     This code was generated from a template.
//
//     Manual changes to this file may cause unexpected behavior in your application.
//     Manual changes to this file will be overwritten if the code is regenerated.
// </auto-generated>
//------------------------------------------------------------------------------

namespace WordsBooklet.BusinessLayer.Models
{
    using System;
    using System.Collections.ObjectModel;
    
    public partial class NounsDetail
    {
        public long Id { get; set; }
        public string SpeakingRate { get; set; }
        public short SerialNumber { get; set; }
        public long NounsHeaderId { get; set; }
        public byte PronunciationTimes { get; set; }
        public string UnknownSingularArabicCharacterSet { get; set; }
        public byte[] UnknownSingularArabicPronunciation { get; set; }
        public string UnknownSingularNorwegianCharacterSet { get; set; }
        public byte[] UnknownSingularNorwegianPronunciation { get; set; }
        public string KnownSingularArabicCharacterSet { get; set; }
        public byte[] KnownSingularArabicPronunciation { get; set; }
        public string KnownSingularNorwegianCharacterSet { get; set; }
        public byte[] KnownSingularNorwegianPronunciation { get; set; }
        public string UnknownPluralArabicCharacterSet { get; set; }
        public byte[] UnknownPluralArabicPronunciation { get; set; }
        public string UnknownPluralNorwegianCharacterSet { get; set; }
        public byte[] UnknownPluralNorwegianPronunciation { get; set; }
        public string KnownPluralArabicCharacterSet { get; set; }
        public byte[] KnownPluralArabicPronunciation { get; set; }
        public string KnownPluralNorwegianCharacterSet { get; set; }
        public byte[] KnownPluralNorwegianPronunciation { get; set; }
        public string NorwegianExampleCharacterSet { get; set; }
        public byte[] NorwegianExamplePronunciation { get; set; }
    
        public virtual NounsHeader NounsHeader { get; set; }
    }
}
